#include <xvt.h>
#include <checks.h>
#include "cg0.h"

#define usage   "Error - usage : %s -{0|1|2|3|4|5}"

int main(int argc, char** argv)
{
  const int op = argc < 2 ? 0 : atoi(argv[1]+1)+1;
  int res = 1;
  switch (op)
  {
  case 1: res = cg0100(argc,argv) ; break;
        case 2: res = cg0200(argc,argv) ; break;
        case 3: res = cg0300(argc,argv) ; break;
        case 4: res = cg0400(argc,argv) ; break;
        case 5: res = cg0500(argc,argv) ; break;
          //            case 6: res = cg0600(argc,argv) ; break;
        default: error_box(usage, argv[0]); break;
        }
  return res;
}






















